Summary: Stops port scanners like sniffit.
Name: portsentry  
Version: 1.0 
Release: 9
Copyright: Freely distributable, see license
Group: Applications/System
Source: ftp://www.psionic.com/tools/portsentry-%{version}.tar.gz  
Source1: portsentry.init
Obsoletes: sentry
Url: http://www.psionic.com
Patch0: FHS-comply.patch 
BuildRoot: /var/tmp/portsentry-root

%description
A program which stops port scanners from scanning your system.

%prep
%setup -q 
%patch0 -p1 -b .redhat 


%build
make linux CFFLAGS="$RPM_OPT_FLAGS"  

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT/var/portsentry
make install

mkdir -p $RPM_BUILD_ROOT/etc/rc.d/init.d/
install -m700 %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/init.d/portsentry

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add portsentry

%preun
if [ "$1" = "0" ]; then
  /sbin/service portsentry stop > /dev/null 2>&1
  /sbin/chkconfig --del portsentry
fi

%postun
if [ "$1" -ge "1" ]; then
  /sbin/service portsentry condrestart > /dev/null 2>&1
fi

%files
%defattr(-,root,root)
%doc CHANGES CREDITS LICENSE README.COMPAT README.install
%doc README.methods README.stealth
%config(noreplace)/etc/rc.d/init.d/portsentry
%config(noreplace) /etc/portsentry/portsentry.conf
%config(noreplace) /etc/portsentry/portsentry.ignore
%attr(700,root,root) %dir /var/portsentry
%dir /etc/portsentry
/usr/sbin/portsentry

%changelog
* Tue Sep 5 2000 Tim Powers <timp@redhat.com>
- fixed initscript so that it doesn't overwrite the portsentry.ignore file,
  just appends to it (in a roundabout way)
- patched default behavior of config file *not* to automagically start
  blocking tcp and udp
- the above were tested by Henri J. Schlereth" <henris@bga.com>, and don't
  forget he reported the problem to me too :)

* Thu Aug 10 2000 Tim Powers <timp@redhat.com>
- fixed the initscript so that it actually starts both or all modes of
  scanning
- noreplace for config files

* Thu Aug 10 2000 Tim Powers <timp@redhat.com>
- fixed perms on /var/portsentry
- added initscript with many suggestions from Henri J. Schlereth
  <henris@bga.com>, it's real nice :)
- added post, preun and postun sections since we now have an initscript

* Wed Aug 9 2000 Tim Powers <timp@redhat.com>
- FHSified the package. Was putting stuff in the horrible location of
  /usr/psionic, which is not FHS compliant. Fixed.

* Mon Jul 24 2000 Prospector <prospector@redhat.com>
- rebuilt

* Mon Jul 10 2000 Tim Powers <timp@redhat.com>
- rebuilt

* Mon Jul 03 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Thu May 18 2000 Tim Powers <timp@redhat.com>
- update to 1.0

* Tue Nov 23 1999 Tim Powers <timp@redhat.com>
- updated to 0.99.1

* Tue Jul 20 1999 Tim Powers <timp@redhat.com>
- yet another name change and version update to 0.98
- made neccessary changes to everything so it would build

* Wed May 05 1999 Bill Nottingham <notting@redhat.com>
- build for powertools-6.0, rename to portsentry

* Fri Oct 2  1998 Michael Maher <minke@redhat.com>
- built package
